using System;
using System.Collections.Generic;
using System.Text;

using Physics.Entities;
using Physics.Entities.Physics;
using Physics.Entities.Particles;

namespace Physics
{
    class VelocityDraw : PhysicsEffect
    {
        public void ApplyEffect(PhysicsE E)
        {
            ApplyEffect((Entity)E);
        }

        public void ApplyEffect(Entity E)
        {
            if (E.affectedby.VelocityDraw && !E.affectedby.Ignored(this))
            {
                EntityManager.Add(new LineP(E.Position, E.Position + E.Velocity * 25, -1));
            }
        }
    }
}
